SelectorParser (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.selector.SelectorParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.selector
Class SelectorParser

    java.lang.Object
      org.codehaus.activemq.selector.SelectorParser

All Implemented Interfaces:
  SelectorParserConstants

public class SelectorParser
extends Object
implements SelectorParserConstants

JMS Selector Parser generated by JavaCC Do not edit this .java file directly - it is autogenerated from SelectorParser.jj

Field Summary
`(package private) SimpleCharStream` | `jj_input_stream`
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`SelectorParserTokenManager` | `token_source`

Fields inherited from interface org.codehaus.activemq.selector.SelectorParserConstants
`AND, BETWEEN, BLOCK_COMMENT, DEFAULT, EOF, ESCAPE, EXPONENT, FALSE, FLOATING_POINT_LITERAL, ID, IN, INTEGER_LITERAL, IS, LIKE, LINE_COMMENT, NOT, NULL, OR, STRING_LITERAL, tokenImage, TRUE`

Constructor Summary
`SelectorParser()`
`SelectorParser(InputStream stream)`
`SelectorParser(Reader stream)`
`SelectorParser(SelectorParserTokenManager tm)`

Method Summary
`Expression` | `addExpression()`
`Expression` | `andExpression()`
`Expression` | `comparisonExpression()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`Expression` | `equalityExpression()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`Filter` | `JmsSelector()`
`ConstantExpression` | `literal()`
`Expression` | `multExpr()`
`Expression` | `orExpression()`
`Filter` | `parse(String sql)`
`Expression` | `primaryExpr()`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(Reader stream)`
`void` | `ReInit(SelectorParserTokenManager tm)`
`String` | `stringLitteral()`
`Expression` | `unaryExpr()`
`PropertyExpression` | `variable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public SelectorParserTokenManager token_source

### jj_input_stream

    SimpleCharStream jj_input_stream

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### SelectorParser

    public SelectorParser()

### SelectorParser

    public SelectorParser(InputStream stream)

### SelectorParser

    public SelectorParser(Reader stream)

### SelectorParser

    public SelectorParser(SelectorParserTokenManager tm)

Method Detail

### parse

    public Filter parse(String sql)
                 throws InvalidSelectorException

  Throws:
    `InvalidSelectorException`

### JmsSelector

    public final Filter JmsSelector()
                             throws ParseException

  Throws:
    `ParseException`

### orExpression

    public final Expression orExpression()
                                  throws ParseException

  Throws:
    `ParseException`

### andExpression

    public final Expression andExpression()
                                   throws ParseException

  Throws:
    `ParseException`

### equalityExpression

    public final Expression equalityExpression()
                                        throws ParseException

  Throws:
    `ParseException`

### comparisonExpression

    public final Expression comparisonExpression()
                                          throws ParseException

  Throws:
    `ParseException`

### addExpression

    public final Expression addExpression()
                                   throws ParseException

  Throws:
    `ParseException`

### multExpr

    public final Expression multExpr()
                              throws ParseException

  Throws:
    `ParseException`

### unaryExpr

    public final Expression unaryExpr()
                               throws ParseException

  Throws:
    `ParseException`

### primaryExpr

    public final Expression primaryExpr()
                                 throws ParseException

  Throws:
    `ParseException`

### literal

    public final ConstantExpression literal()
                                     throws ParseException

  Throws:
    `ParseException`

### stringLitteral

    public final String stringLitteral()
                                throws ParseException

  Throws:
    `ParseException`

### variable

    public final PropertyExpression variable()
                                      throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(SelectorParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.